﻿/*
 * Created by SharpDevelop.
 * User: phil
 * Date: 2010.06.17.
 * Time: 11:00
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.InteropServices;
//
using TetheredSun;
using TetheredSun.Mathematics;

namespace TetheredSun.Controls
{
	public interface IDataPointList : IList<Point<double>>
	{
		void Add(double x, double y);
		List<Point<double>> GetPointsInRange(double xMinimum, double xMaximum);
		void SetItems(double[] x, double[] y);
		void SetItems(double[] y, double x0, double dx);
		void SetItems(double[] y, double x0, double dx, int maxPoints);
		bool UpdateBounds(out double xMinimum, out double xMaximum, out double yMinimum, out double yMaximum);
		bool AssumeXMonotonicity { get; }
		int Capacity { get; set; }
		object SyncRoot { get; }
	}
}
