/*
 * Created by SharpDevelop.
 * User: phil
 * Date: 2010.06.24.
 * Time: 9:42
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Runtime.InteropServices;

namespace TetheredSun.Controls
{
	/// <summary>
	/// Description of WindowsAPI.
	/// </summary>
	public static class WindowsAPI
	{
		public const int GWL_STYLE = -16;
    	public const int WS_VSCROLL = 0x00200000;
		private const int setRedraw = 11;
		
		[DllImport("user32.dll")]
		public static extern int SendMessage(IntPtr handle, Int32 windowsMessage, bool parameter1, Int32 parameter2);
		
		[DllImport("user32.dll")]
		public static extern bool ShowScrollBar(System.IntPtr handle, int bar, bool show);
		
		public static int SuspendRedraw(IntPtr handle)
		{
			return SendMessage(handle, setRedraw, false, 0);
		}
		
		public static int ResumeRedraw(IntPtr handle)
		{
			return SendMessage(handle, setRedraw, true, 0);
		}
	}
}
